import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

import '../../../app.dart';

class CMSScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final param = Get.arguments;
    debugPrint('param $param');
    return Material(
      color: ThemeColor.white,
      child: SafeArea(
        child: Scaffold(
          appBar: CustomAppbarWidget(
            leading: AppBarBackBtn(),
            elevation: 2,
          ),
          body: Container(
            padding: EdgeInsets.only(left: 30.w, right: 30.w, top: 20.h),
            child: SingleChildScrollView(
              child: Html(data: param['html_content']),
            ),
          ),
        ),
      ),
    );
  }
}
